/*Home page*/
/*Start Fonts*/
.vt323-regular {
  font-family: "VT323", monospace;
  font-weight: 400;
  font-style: normal;
}


.sixtyfour {
  font-family: "Sixtyfour", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "BLED" 0,
    "SCAN" 0;
}

/*End Fonts*/

.slicknav_menu {
	display: none;
	grid-area: nav_menu;
}

body {
	background-color: black;
	width: 98%;
	max-width: 960px;
    margin: 0 auto;
    background-color: black;
}

.grid_container {
	display: grid;
	grid-template-columns: 100%;
	grid-template-rows: auto;
	grid-template-areas: 
	"head"
	"nav_menu"
	"main"
	"foot"
	;
	grid-gap: 5px;
}

header {
	font-family: "VT323", monospace;
	font-size: 220%;
	color: #00FF66;
	text-align: center;
	margin-top: 5px;
	max-width: 98%;
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	grid-template-rows: 100%;
	/* grid-area: head; */
}
.header-title {
	grid-row: 1/1;
	grid-column: 3 / span 8;
}
header img {
	float: left;
	margin: 3px;
	border: 3px solid black;
}
header img:hover, img:focus {
	border: 3px solid #00FF66;
}
header h1 {
	margin-top: 10px;
	margin-bottom: 0;
	
}

main {
	margin: 0;
	padding: 0;	
	max-width: 960px;
	display: grid;
	grid-area: main;
	color: #00FF66;
	grid-template-columns: repeat(12, 1fr);
	grid-template-rows: auto auto;
} 

#nav_menu {
	color: #00FF66;
	width: 45%;
	font-size: 100%;
	font-family: "Sixtyfour", sans-serif;
	max-width: 960px;
	width: 100%;
	grid-area: nav_menu;
}

#nav_menu ul {
	border-bottom: 1px solid #00FF66;
	padding: 3px 6px 3px 6px;
	text-align: center;
	margin: 0;
}

#nav_menu ul li {
	list-style-type: none;
	margin-top: 5px;	
	display: inline;
}

#nav_menu ul li a {
	color: #00FF66;
	padding: 3px;
	text-decoration: none;
}

#nav_menu ul li.active{
	color: #fff333;
	background: #000;
	border-right: 1px solid #00FF66;
	border-left: 1px solid #00FF66;
	border-bottom: 2px solid black;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
	padding: 3px 6px 3px 6px;
}

#nav_menu ul li a:hover, a:focus {
	color: black;
	background-color: #00FF66;
}

#nav_menu ul li a:visited {
	
}

#nav_menu ul li a:hover, a:focus, a:visited {
	color: black;
}

#nav_menu ul li.active, a.disabled {
	pointer-events: none !important;
	cursor: default !important;
	color: #fff333 !important;
}

/*MAIN ABOUTS*/

.main-about-me {
	font-size: 140%;
}

.site-about {
	font-size: 140%;
}

.main-col-1 {
	grid-row: 1/2;
	grid-column: 1 / span 4;
	font-family: "VT323", monospace;
}


.main-col-1 ul {
	padding: 20px;
	padding-top: 0;
	margin-top: 5px;
}

.main-col-2 {
	grid-row: 1/2;
	grid-column: 5 / span 8;
	font-family: "VT323", monospace;
}

.main-about-me {
	border: 1px #00FF66 solid;
}

.main-about-me h2 {
	margin: 0;
	padding: 5px;
	text-align: center;
/* 	border-left: 1px #00FF66 solid;
	border-top: 1px #00FF66 solid; */
}

.about-me-ol {
	margin-top: 0;
	font-size: 110%;
}

.site-about{
	font-family: "VT323", monospace;
	grid-column: 1 / span 12;
	grid-row: 2/3;
}

.site-about-ol {
		font-size: 110%;
}

footer {
	grid-area: foot;
	color: #00FF66;
	font-family: "VT323", monospace;
	border-top: 1px #00FF66 solid;
	max-width: 85%;
	margin: 0 auto;
	font-size: 125%;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: auto auto auto; 
	grid-gap: 10px;
}

.footer-grid-col-1, .footer-grid-col-2 {
	grid-row: 1/2;
	margin-top: 10px;
}
/* Start FOOT COL 1 */
.footer-grid-col-1 {
	grid-row: 1 / 2;
	grid-column: 1 / 2;
	text-align: center;
}

.footer-grid-col-1 h3{
	margin: 0;
}
/*Footer links*/
.footer-grid-col-1 a {
	font-family: "Sixtyfour", sans-serif;
	color: #00FF66;
	font-size: 47%;
	padding: 1%;
	text-decoration: none;
	display: block;
}
.footer-grid-col-1 a:hover, a:focus {
	color: black;
	background: #00FF66;
}
/* end FOOT COL 1 */

/* Start FOOT COL 2 */
.footer-grid-col-2 h3{
	margin: 0;
}

.footer-grid-col-2 {
	grid-column: 2 / 3;
	text-align: center;
}

.linkedin {
	margin-bottom: 3px;
}

.linkedin img {
	margin: 3px;
	border: 3px solid black;
}

.footer-grid-col-2 .linkedin img:hover, img:focus {
	border: 3px solid #00FF66;
}

.linkedin a:hover, a:focus {
	background-color: transparent;
}

.github {
	margin-bottom: 3px;
}

.github img {
	margin: 3px;
	border: 3px solid black;
}

.footer-grid-col-2 .github img:hover, img:focus {
	border: 3px solid #00FF66;
}

.github a:hover, a:focus {
	background-color: transparent;
}

.steam-miniprofile-show {
	max-width: 328px;
	margin: auto;
}

/* end FOOT COL 2 */


.footer-row-2 {
	grid-row: 2;
	grid-column: 1 / 3;
	
}

/* Image carousel */


* {box-sizing:border-box}

/* Slideshow container */
.slideshow-container {
  max-width: 240px;
  position: relative;
  margin: 0;
  font-family: "VT323", monospace;
  font-weight: 400;
  font-style: normal;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: #00FF66;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
  color: #00FF66;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #00FF66;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dots {
	max-width: 250px;
}

.active, .dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@media screen and (max-width: 840px) {
	/* Start NAV Edits*/
	/* Show slicknav menu and hide nav menu */
	.slicknav_menu {
		display: block;

	}
	#nav_menu {
		display: none;
	}
	/* Set the font for the slicknav menu and set the slicknav bar color */
	.slicknav_menu {
		font-family: "Sixtyfour", sans-serif !important;
		background-color: black !important;
	}
	/* When collapsed: Menutxt is green and button color is black with a green border */
	
	.slicknav_menutxt {
		color: #00FF66 !important;
	}
	
	.slicknav_btn.slicknav_collapsed {
		background-color: black !important;
		border: 1px #00FF66 solid !important;
	}
	/* Btn hover and focus */
	
	
	
	/* When collapsed: The hamburger lines are green */
	
	.slicknav_menu .slicknav_icon-bar {
		background-color: #00FF66 !important;
	}
	
	/* When open: The btn color is green and the txt color is black */
	/* The btn hambuger lines are black */
	.slicknav_btn.slicknav_open {
		background-color: #00FF66 !important;
	}
	
	.slicknav_btn.slicknav_open .slicknav_menutxt {
		color: black !important;
	}

	.slicknav_btn.slicknav_open .slicknav_icon-bar {
		background-color: black !important;
	}

	/* Links text is green with a black background, on hover the links text is black with a green background */
	/* Visited links will be yellow */
	.slicknav_nav a {
		color: #00FF66 !important;
	}
	
	.slicknav_nav a.active {
		color: #fff333 !important;
	}
	.slicknav_nav li.active {
		background-color: black !important;
	}
	.slicknav_nav a:hover, a:focus {
		color: black !important;
		background-color: #00FF66 !important;
	}
	
	.slicknav_nav a:hover, a:focus, a:visited {
		color: black;
	}

	.slicknav_nav a.disabled {
		pointer-events: none !important;
		cursor: default !important;
		color: #fff333 !important;
		border-left: 2px #00FF66 solid !important;
		/* border: 1px #00FF66 solid !important; */
		/* text-align: center; */
	}
	/* End NAV*/
	
	
	/* HEADER */
	/* END HEADER */
	
	
	/* MAIN */
	/* END MAIN */
	
	
	/* FOOTER */
	/* END FOOTER */
}

@media screen and (max-width: 738px){
	.main-col-1 {
		grid-column: 1 / span 12;
		grid-row: 1;
		margin: auto;
	}
	.main-col-2 {
		grid-column: 1 / span 12;
		grid-row: 2;
	}
	.site-about {
		grid-column: 1 / span 12;
		grid-row: 3;
	}
}
@media screen and (max-width: 615px) {
		.footer-grid-col-2 {
		grid-row: 1;
		grid-column: 1 / span 2;
		margin: auto;
	}
	.footer-grid-col-1 {
		grid-row: 2;
		grid-column: 1 / span 2;
		margin: auto;
		border-top: 1px solid #00FF66;
		width: 75%;
		margin-bottom: 5%;
	}
}

@media screen and (max-width: 468px) {
	/* HEADER */
	header {
		font-size: 200%;
	}
	/* END HEADER */
	
	
	/* MAIN */
	/* END MAIN */
	
	
	/* FOOTER */
	/* END FOOTER */
}
@media screen and (max-width: 436px) {
	/* HEADER */
	header {
		font-size: 190%;
	}
	/* END HEADER */
	
	
	/* MAIN */
	/* END MAIN */
	
	
	/* FOOTER */
	/* END FOOTER */
}

* {
 
	box-sizing: content-box !important;

}